Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## main
Class CommandInterface

    java.lang.Object
      main.CommandInterface

    public class CommandInterface

extends java.lang.Object

This class parses commnand line arguments passed to application and performs apropriate action. Purpose of this class is to replace GUI when needed.

Field Summary
`java.lang.String` | `CBCKUP` Parameter requesting new backup, following parameters specifies path to file to be backed up.
`java.lang.String` | `CDEL` Use this paratemer to request deletion of backup.
`java.lang.String` | `CLIST` Given name of file this command argument searches distributed repository for backups of that file.
`java.lang.String` | `CNOGUI` Parameter requesting launch in command line mode.
`java.lang.String` | `CRCVR` Parameter requesting recovery of backup.
`java.lang.String` | `CSRV` Starts application server including scheduler, network command listener and reliable transport listener.
`java.lang.String` | `CUSG` When run with this argument, application prints basic guide on how to use command line interface.
`java.lang.String` | `HELP` String containing basic help or manual on how to ues CLI.
`java.lang.String` | `OPT_BACKUP_NAME` When this option is used along with recovery or deletion request, following parameters is considered to be backup name and not the filename.

Constructor Summary
`CommandInterface()` Basic constructor initiates required components to run more complex commands.

Method Summary
`void` | `run(java.lang.String[] args)` Given list of arguments passed on command line, this function determines correct action.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CNOGUI

    public final java.lang.String CNOGUI

  Parameter requesting launch in command line mode.

  See Also:
    Constant Field Values

### CBCKUP

    public final java.lang.String CBCKUP

  Parameter requesting new backup, following parameters specifies path to file to be backed up.

  See Also:
    Constant Field Values

### CRCVR

    public final java.lang.String CRCVR

  Parameter requesting recovery of backup. Depending on used option either latest backup of given file name or backup with specified name is recovered.

  See Also:
    Constant Field Values

### CDEL

    public final java.lang.String CDEL

  Use this paratemer to request deletion of backup. Oldest backup or backup with specified name can be deleted.

  See Also:
    Constant Field Values

### CLIST

    public final java.lang.String CLIST

  Given name of file this command argument searches distributed repository for backups of that file. List of found backups is displayed.

  See Also:
    Constant Field Values

### CSRV

    public final java.lang.String CSRV

  Starts application server including scheduler, network command listener and reliable transport listener.

  See Also:
    Constant Field Values

### CUSG

    public final java.lang.String CUSG

  When run with this argument, application prints basic guide on how to use command line interface.

  See Also:
    Constant Field Values

### OPT_BACKUP_NAME

    public final java.lang.String OPT_BACKUP_NAME

  When this option is used along with recovery or deletion request, following parameters is considered to be backup name and not the filename.

  See Also:
    Constant Field Values

### HELP

    public final java.lang.String HELP

  String containing basic help or manual on how to ues CLI.

Constructor Detail

### CommandInterface

    public CommandInterface()

  Basic constructor initiates required components to run more complex commands. Only configuration file is read.

Method Detail

### run

    public void run(java.lang.String[] args)

  Given list of arguments passed on command line, this function determines correct action.

  Parameters:
    `args` - command line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD